GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
List of all members
gridfire::exceptions::BadCollectionError Class Referencefinal

Exception for invalid composition collection in the engine. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::BadCollectionError:
[legend]
Collaboration diagram for gridfire::exceptions::BadCollectionError:
[legend]

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception for invalid composition collection in the engine.

This exception is thrown when the engine encounters an invalid state while trying to collect the composition from the entire engine stack

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h